body{
    margin: 0;
    font-family: 'Inter', sans-serif;
}
.top_header{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    background-color: white;
    margin-top: 2rem;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}
.main_nav {
    background-color: white;
}
.top_title {
    position: absolute;
    color: #FF7715;
    margin-left: 2.3rem;
    margin-top: 0;
    font-size: 64px;
}
.top_title:hover {
    color: #000000;
}

.main_nav li{
    list-style: none;
}
.main_nav a {
    float: right;
    display: block;
    text-align: center;
    padding:  14px 16px;
    text-decoration: none;
    font-size: 17px;
    margin-bottom: 4rem;
}
#start_btn{
   text-decoration: underline;
   border-radius: 3rem;
   padding: 0.6rem;
   padding-left: 1.5rem;
   padding-right: 1.5rem;
   margin-right: 3rem;
}
#reg_btn{
    background-color: #FF7715;
    color: white;
    border-radius: 3rem;
    padding: 0.6rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    margin-right: 2rem;
}
#login_btn{
    border: solid #FF7715 3px;
    color: #FF7715;
    border-radius: 3rem;
    padding: 0.4rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    margin-right: 2rem;
}
/*Mobile menu ----------------------------------------->*/
.mobile_menu{
    display: none;
}
/*Index/homepage -------------------------------------->*/
.top_container{
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    max-width: 800px;
}

.top_article{
    margin-top: 10rem;
    display: flex;
    align-items: center;
    flex-direction: column;

}

.top_img{
    width: 100%;
    max-width: 800px;
    height: auto;
}
.post_article {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: min-content;
}
.top_article_background{
    position: relative;
    top: -4rem;
    background: rgba(255, 255, 255, 0.94);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    padding-left: 4rem;
    padding-right: 4rem;
    padding-top: 1rem;
    padding-bottom: 4rem;
    width: 60%;
}
.home_container{
    margin-top: 10%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 13rem;
    row-gap: 10rem;
}
.post_img{
    position: relative;
    width: 542px;
    height: 255px;
}
.post_background{
    position: relative;
    top: -4rem;
    background: rgba(255, 255, 255, 0.94);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    margin-left: 8rem;
    margin-right: 7rem;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-bottom: 2rem;
    padding-top: 0.5rem;
    width: 70%;
}
.user_list{
    background-color: #FF7715;
    color: white;
    padding: 3rem;
    margin: 10rem;
}
.list{
    list-style: none;
}
.list_item{
    margin-bottom: 1rem;
}
/*Article page ---------------------------------------->*/
.article_box{
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 5rem;
    margin-bottom: 4rem;
}

.single_article_container {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.article_img{
    width: 50%;
    height: auto;
}

.article_text{
    background: rgba(255, 255, 255, 0.94);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    position: relative;
    top: -6rem;
    width: 45%;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-bottom:2rem;
    padding-top: 0.5rem;
}
/*Login page & Registration page---------------------->*/
.user_background{
    background:  linear-gradient(180deg, #FF7715 0%, #FFFFFF 100%);
    background-repeat: no-repeat;
    height: fit-content;
}
.back_btn{
    position: relative;
    top: -18rem;
    left: -17rem;
}
.error_msg{
    font-size: 15px;
    color: rgb(216, 0, 0);
}
.confirm_msg {
    font-size: 15px;
    color: rgb(0, 136, 0);
}

.user_container{
    margin: auto;
    width: 12rem;
    height: 25rem;
    background-color: #FFFFFF;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    margin-top: 5rem;
    padding: 20rem;
    margin-bottom: 6rem;
}
.user_title{
    position: relative;
    top: -15rem;
    left: -5rem;
    font-size: 36px;
    width: 30rem;
}
#email_login, 
#name_login, 
#password_login, 
#username_reg, 
#password_reg, 
#email_reg, 
#name_reg{
    font-size: 19px;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: black solid 1px;
}
.login {
    font-size: 24px;
    position: relative;
    left: -5rem;
    top: -12rem;
    width: 37rem;
}
.login_btn, .reg_btn{
    border: #FF7715 3px solid;
    background-color: transparent;
    font-size: 15px;
    color: #FF7715;
    border-radius: 3rem;
    padding: 0.5rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    margin-top: 5rem;
    cursor: pointer;
}
.link{
    position: relative;
    top: -15rem;
    left: -5rem;
    width: 20rem;
}
/* User page---------------------->*/
.welcome_msg{
    font-size: 4rem;
    padding-top: 4rem;
    color: white;
    text-align: center;
}

.diagonal{
    margin-top: 10rem;
    margin-bottom: 20rem;
    position: relative;
    isolation: isolate;
}
.diagonal::after{
    content: '';
    background-color: #FF7715;
    padding: 7rem;
    position: absolute;
    z-index: -1;
    inset: 0; /*Kortkommando för top, bottom, left och right*/
}
.container{
    display: grid;
    grid-template-columns: 10% 40% 40% 10%;
    grid-template-rows: 5% 5% 5%;
}
.write_title{
    font-size: 40px;
    margin-bottom: 3rem;
    grid-row: 1/1;
    grid-column: 2/5;
}
.blog_form{
    width: 30%;
    grid-column: 2/5;
    grid-row: 2/2;
    margin-top: 6rem;
    margin-bottom: 6rem;
}
#title{
    border: none;
    background-color: #E6E6E6;
    border-radius: 22px;
    font-size: 24px;
    padding: 0.5rem;
    width: 100%;
}
#content{
    border: none;
    background-color: #E6E6E6;
    border-radius: 22px;
    resize: none;
    width: 60vw;
    height: 445px;
    margin-bottom: 4rem;
}
textarea {
    padding: 1rem;
    font-family: 'Inter', sans-serif;
}
#post_btn{
    background-color: #FF7715;
    color: white;
    border: none;
    border-radius: 3rem;
    padding: 0.6rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    margin-right: 2rem;
    font-size: 1rem;
}
.post_title{
    font-size: 40px;
    position: relative;
    width: 50%;
    margin-left: 14rem;
}
.user_post{
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    width: 572px;
    height: fit-content;
    margin-left: 3rem;
    padding: 2rem;
}
article h2{
    color: #FF7715;
    font-size: 25px;
}
.flex_container{
    margin-bottom: 10rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 5rem;
    row-gap: 10rem;
}
.delete-btn{
    margin-right: 2rem;
    background-color: #FF2424;
    color: white;
    text-decoration: none;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    border-radius: 1rem;
}
.edit-btn{
    background-color: transparent;
    border: solid #FF7715 2px;
    text-decoration: none;
    color: #FF7715;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    border-radius: 1rem;
}
/*User profile page ------------------> */
.user_profile_title {
    text-align: center;
    color: #FF7715;
    margin-top: 5rem;
    margin-bottom: 5rem;
}
.article_container{
    display: flex;
    flex-direction: row;
    justify-content: center;
}
.user_profile {
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    width: 500px;
    height: fit-content;
    padding: 2rem;
    margin-bottom: 5rem;
}
.user_profile_img {
    width: 300px;
    height: auto;
}
/* Footer --------------------------->*/
footer{
    background-color: #FF7715;
    color: white;
    padding: 3rem;
    text-align: center;
}

/* Media Queries -------------------------> */
  
/* Mobilder, surfplattor  ------------------------------> */
@media screen and (min-width: 320px) and (max-width: 1000px) {
    /*Header menu-------------->*/
    .top_header{
        display: none;
    }
    .mobile_menu{
        background-color: #FF7715;
        padding: 3rem;
        display: block;
    }
    .mobile_logo{
        font-size: 2rem;
        text-decoration: none;
        color: white;
    }
    .mobile_menu_links {
        background-color: white;
        list-style: none;
        padding: 1rem;
        
    }
    .mobile_menu_links li {
        margin-bottom: 1.5rem;
        
    }
    #links{
        display: none;
    }
    #menu_icon{
        position: relative;
        float: right;
        color: white;
        font-size: 2rem;
    }
    /* Index page -------------> */
    /* .top_article{
        margin: 0;
        margin-top: 3rem;
    } */
    .top_img{
        width: 100%;
        height: auto;
    }
    
    .top_article_background {
        
        width: 50%;
    }
    .user_list{
        margin: 0;
        padding: 0.5rem;
        margin-bottom: 5rem;
    }
    .post_article {
        width: 100%;
    }
    .post_img{
        width: 90%;
        height: auto;
    }
    
    
    /*Edit page --------------->*/
    .write_title{       
        font-size: 2rem;
    }
    #post_btn{
        font-size: 1.3rem;
    }
    .blog_form{
        width: 100%;
    }
    #title, #content {
        width: 70vw;
    }
    #content{
        text-align: left;
    }
    /*Edit page --------------->*/
    /*User page --------------->*/
    .welcome_msg{
        font-size: 3rem;
        text-align: center;
    }
    .diagonal{
        margin-bottom: 10rem;
    }
    .post_title{
        left: -11rem;
        font-size: 2rem;
    }
    .flex_container{
        column-gap: 0rem;
        row-gap: 5rem;
        margin-right: 3rem;
    }
    .user_post{
        width: 60vw;
        height: fit-content;
    }
    /*User page --------------->*/
    /*Log in page --------------->*/
    .user_container{
        box-shadow: none;
    }
   .user_background{
    background: white;
   }
    
    /*Log in page --------------->*/
    /*Article page --------------->*/
    .article_img {
        width: 100%;
        margin: 0;
    }
    .article_text {
        width: 87%;
        margin: 0;
        top:-3rem;
    }
    
}
@media screen and (max-width: 720px) {
    .login {
        left: -15rem;
        width: 110%;
    }
    .user_title {
        left: -15rem;
        width: 3rem;
    }
    .link {
        left:-15rem;
        width: 12rem;
    }
}